%define version 0.1
%define release 2mdk
%define name libtabe

Summary: chinese lexicons library for xcin-2.5
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: free
Group: System/Libraries
Source0: http://www.sourceforge.net/downloads/libtabe-%{version}.tar.bz2
#Packager: Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
URL: http://libtabe.sourceforge.net/
Buildroot: /var/tmp/%{name}-buildroot
Obsoletes: libtabe-tsi
Requires: locales-zh

%description
chinese lexicons library for xcin-2.5's bimsphone input method.

%package devel
Summary: Header files and libraries for developing apps which will use libtabe
Group: Development/C

%description devel
chinese lexicons library for xcin-2.5's bimsphone input method.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n libtabe

%build
cp -f /usr/share/libtool/config.sub script

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-shared --prefix=/usr
make

%install

export prefix=$RPM_BUILD_ROOT/usr
make -e install

# make link so that xcin-2.5 can use yin.db and tsi.db
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/zh_TW.Big5/
ln -sf ../../../../../../share/tabe/tsiyin/tsi.db \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/zh_TW.Big5/tsi.db
ln -sf ../../../../../../share/tabe/tsiyin/yin.db \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/zh_TW.Big5/yin.db

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

%files
%defattr (-,root,root)
%doc COPYING  doc/libtabe.sgml
/usr/share/tabe
/usr/lib/*.so.*
/usr/bin/*
/usr/X11R6/lib/X11/xcin/tab/zh_TW.Big5/yin.db
/usr/X11R6/lib/X11/xcin/tab/zh_TW.Big5/tsi.db

%post 
/sbin/ldconfig

%postun
/sbin/ldconfig

%files devel
%defattr (-,root,root)
/usr/include/*
/usr/lib/*.so
/usr/lib/*.a

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-2mdk
- add ldconfig in posts

* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-1mdk
- updated to 0.1 final
- small cleaning of %files section
- added URL
- xcin 2.5.2 uses /usr/X11R6/lib/X11/xcin instead of
  /usr/X11R6/lib/X11/xcin ; made the needed changes

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1pre6-6mdk
- fix group
- split packages

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force (well in fact cp config.sub...)

* Wed Dec 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added REquires: locales-zh for auto-selection at install time

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0


